body {
    border: aliceblue;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    height: 100vh;
    max-width: 100%;
  }

  html body {
    height: 100vh;
  }
  
  .container {
    display: grid;
    grid-template-columns: 1fr 5fr;
    height: 100vh;
  }
  
  aside {
    background-color: rgb(10, 98, 239);
    width: 100%;
    height: 100vh;
  }
  
  aside > nav > a {
    overflow: hidden;
    text-decoration: none;
  }
  
  aside > nav > a > li {
    margin: 1em;
    padding: auto;
    list-style: none;
    text-decoration: none;
    font-size: large;
    color: aliceblue;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen,
      Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
  }

  li > img {
    height: 30px;
    width: 30px;
  }
  
  .content {
    grid-template-columns: 1fr 5fr;
    width: 100%;
    height: 100vh;
  }
  
  header {
    width: 100%;
    height: 20vh;
  }
  

  .header {
    background-color: rgb(223, 229, 250);
    grid-column: 2 / 3;
    grid-row: 1 / 2;
    position: relative;
    box-shadow: 5px 10px 8px #abd1ef;
    height: 20vh;
}

.top-header {
    display: flex;
    justify-content: space-between;
}

.search-bar {
    display: flex;
    padding: 17px 0px 0px 30px;
}

.search-icon {
    margin-right: 8px;
    width: 22px;
}

.search-input {
    padding-left: 10px;
    width: 45vw;
    max-width: 471px;
    height: 25px;
    background-color: rgb(178, 196, 212);
    border: none;
    border-radius: 15px;

}

.profile-bar {
    display: flex;
    justify-content: space-around;
    align-items:center;
    width: 20vw;
    max-width: 196.2px;
    min-width: 156.2px;
    margin-right: 25px;
    margin-left: 15px;
    font-weight: bold;
}

.profile-bar img {
    margin-right: 5px;
}

.profile-pic-small {
    width: 40px;
    height: 40px;
    border-radius: 30px;
    border: 1px solid rgb(197, 197, 197);
}

.profile-pic-large {
    width: 50px;
    height: 50px;
    border-radius: 30px;
    border: 1px solid rgb(197, 197, 197);
    margin-right: 15px;
}

.bottom-header {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    margin: 20px 20px 0px 30px;
}

.profile-display {
    display: flex;
    align-items: center;
    font-weight: bold;
    margin-bottom: 12px;
    margin-right: 12px;
}

.greeting {
    font-size: 12px;
    margin-bottom: 5px;
    padding-left: 5px;
}

.name {
    font-size: 23px;
}

.make-post {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    width: 25vw;
    max-width: 276px;
    min-width: 263px;
    margin-bottom: 18px;

}

.head-button {
    color: white;
    background-color: rgba(25,146,212,255);
    width: 75px;
    height: 30px;
    border-radius: 15px;
    border: none;
    margin-bottom: 5px;
    margin-right: 10px;
}

  .container-main {
    display: grid;
    grid-template-columns: 3fr 1fr;
    gap: 10px;
    width: auto;
    height: 80vh;
    background-color: aliceblue;
    padding: 5px;
    margin: 5px;
  }
  
  .main-content {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: repeat(3, 25vh);
    gap: 10px;
    padding: 10px;
  }
  
  .item {
    background-color: rgb(214, 227, 245);
    color: rgb(9, 0, 0);
    font-size: 15px;
    border: rgb(135, 175, 235) 1px solid;
    border-radius: 12px;
    box-shadow: 5px 10px 8px #8baee9;
    justify-content: center;
    align-items: center;
    text-align: center;
    border-left: 10px solid rgb(162, 160, 3);
    margin: 5px;
  }

  .item p{
    margin: 5px;
  
  }
  
  .container-side {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr 1fr;
    gap: 25px;
    height: inherit;
  }
  
  .announcements {
    border-radius: 10px;
    background-color: rgb(176, 204, 244);
    padding: 5px;
    margin: 5px;

  }
  
  .trending {
    border-radius: 10px;
    background-color: rgb(176, 204, 244);
    padding: 5px;
    margin: 5px;
  }
  
  .headings {
    padding: 0;
    margin: 0;
    font-style: roboto, comic-sans, gothic, ;
    font-size: 7px;
  }

  .annon {
      margin: 5px;
      font-family: Verdana, Geneva, Tahoma, sans-serif;
      font-size: small;   
  }

  .trends {
    margin: 5px;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    font-size: small;   
  }